{ hostName, pkgs, ... }:

{
  nix = {
    package = pkgs.nixFlakes;
    extraOptions = "experimental-features = nix-command flakes";
  };

  environment.systemPackages = with pkgs; [
    vim tcpdump iputils mtr traceroute
  ];

  networking.hostName = hostName;

  users.users.root.initialHashedPassword = "";
}
